Bug 240269 - No Audio Input from Microphones
No Audio Input from Microphones
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2007-05-16 02:00 EDT by Daryll
Modified: 2008-04-03 20:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-03 20:49:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daryll 2007-05-16 02:00:29 EDT
I've got an HP dv9000 laptop with Intel HD audio. There are built in stereo
microphones in the display, as well as an external microphone input.

I've tried audacity, cat /dev/dsp, ekiga, gizmo. None of them provide audio
input using either the internal microphones or an external headset. 

I've checked alsamixer and the gain is set high and the microphones are not muted.

Audacity allows me to select among the various input devices, but none of them
register any audio input.
Comment 1 Daryll 2007-05-17 11:38:47 EDT
I suppose more of this would be make a less lame bug report:

Linux ninja 2.6.21-1.3149.fc7 #1 SMP Fri May 11 12:12:11 EDT 2007 i686 i686 i386

00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 02)

remove snd-hda-intel { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-hda-intel
options snd cards_limit=8
alias snd-card-0 snd-hda-intel
options snd-hda-intel index=0

Comment 2 Daryll 2007-07-18 13:44:48 EDT
Audio appears to be working in the updates-testing kernel I
still have two Int:Mic choices. One works and one doesn't, but at least that's
Comment 3 Bug Zapper 2008-04-03 20:43:17 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Daryll 2008-04-03 20:49:25 EDT
Works in current Fedora 8 kernels.

Note You need to log in before you can comment on or make changes to this bug.